Submitted By: Robert Connolly <robert at linuxfromscratch dot org> (ashes)
Date: 2007-02-07
Initial Package Version: 2.17
Upstream Status: Not submitted - Hack
ORIGIN:	http://buildroot.uclibc.org/cgi-bin/viewcvs.cgi/trunk/buildroot/toolchain/\
	binutils/2.17/100-uclibc-conf.patch
Description: This adds --target=*-*-linux-uclibc* needed for building a
uClibc toolchain.

--- binutils-2.16.91.0.7/bfd/configure
+++ binutils-2.16.91.0.7/bfd/configure
@@ -3576,7 +3576,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux-gnu*|linux-uclibc*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- binutils-2.16.91.0.7/binutils/configure
+++ binutils-2.16.91.0.7/binutils/configure
@@ -3411,7 +3411,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux-gnu*|linux-uclibc*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- binutils-2.16.91.0.7/configure
+++ binutils-2.16.91.0.7/configure
@@ -1270,7 +1270,7 @@
   am33_2.0-*-linux*)
     noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
     ;;
-  sh-*-linux*)
+  sh*-*-linux*)
     noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
     ;;    
   sh*-*-pe|mips*-*-pe|*arm-wince-pe)
@@ -1578,7 +1578,7 @@
   romp-*-*)
     noconfigdirs="$noconfigdirs bfd binutils ld gas opcodes target-libgloss ${libgcj}"
     ;;
-  sh-*-* | sh64-*-*)
+  sh*-*-* | sh64-*-*)
     case "${host}" in
       i[3456789]86-*-vsta) ;; # don't add gprof back in
       i[3456789]86-*-go32*) ;; # don't add gprof back in
--- binutils-2.16.91.0.7/configure.in
+++ binutils-2.16.91.0.7/configure.in
@@ -468,7 +468,7 @@
   am33_2.0-*-linux*)
     noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
     ;;
-  sh-*-linux*)
+  sh*-*-linux*)
     noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
     ;;    
   sh*-*-pe|mips*-*-pe|*arm-wince-pe)
@@ -776,7 +776,7 @@
   romp-*-*)
     noconfigdirs="$noconfigdirs bfd binutils ld gas opcodes target-libgloss ${libgcj}"
     ;;
-  sh-*-* | sh64-*-*)
+  sh*-*-* | sh64-*-*)
     case "${host}" in
       i[[3456789]]86-*-vsta) ;; # don't add gprof back in
       i[[3456789]]86-*-go32*) ;; # don't add gprof back in
--- binutils-2.16.91.0.7/gas/configure
+++ binutils-2.16.91.0.7/gas/configure
@@ -3411,7 +3411,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux-gnu*|linux-uclibc*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- binutils-2.16.91.0.7/gprof/configure
+++ binutils-2.16.91.0.7/gprof/configure
@@ -3419,6 +3419,11 @@
   lt_cv_file_magic_test_file=`echo /lib/libc.so* /lib/libc-*.so`
   ;;
 
+linux-uclibc*)
+  lt_cv_deplibs_check_method=pass_all
+  lt_cv_file_magic_test_file=`echo /lib/libuClibc-*.so`
+  ;;
+
 netbsd* | knetbsd*-gnu)
   if echo __ELF__ | $CC -E - | grep __ELF__ > /dev/null; then
     lt_cv_deplibs_check_method='match_pattern /lib[^/\.]+\.so\.[0-9]+\.[0-9]+$'
--- binutils-2.16.91.0.7/ld/configure
+++ binutils-2.16.91.0.7/ld/configure
@@ -3413,7 +3413,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux-gnu*|linux-uclibc*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- binutils-2.16.91.0.7/libtool.m4
+++ binutils-2.16.91.0.7/libtool.m4
@@ -739,7 +739,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux-gnu*|linux-uclibc*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- binutils-2.16.91.0.7/ltconfig
+++ binutils-2.16.91.0.7/ltconfig
@@ -602,6 +602,7 @@
 
 # Transform linux* to *-*-linux-gnu*, to support old configure scripts.
 case $host_os in
+linux-uclibc*) ;;
 linux-gnu*) ;;
 linux*) host=`echo $host | sed 's/^\(.*-.*-linux\)\(.*\)$/\1-gnu\2/'`
 esac
@@ -1247,7 +1248,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux-gnu*|linux-uclibc*)
   version_type=linux
   need_lib_prefix=no
   need_version=no
--- binutils-2.16.91.0.7/opcodes/configure
+++ binutils-2.16.91.0.7/opcodes/configure
@@ -3579,7 +3579,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux-gnu*|linux-uclibc*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
